# Method: projects.locations.interceptDeploymentGroups.patch

Updates a deployment group. See <https://google.aip.dev/134>.

### HTTP request

`PATCH https://networksecurity.googleapis.com/v1/{interceptDeploymentGroup.name=projects/*/locations/*/interceptDeploymentGroups/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `interceptDeploymentGroup.name` | `string` Immutable. Identifier. The resource name of this deployment group, for example: `projects/123456789/locations/global/interceptDeploymentGroups/my-dg`. See <https://google.aip.dev/122> for more details. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. Fields are specified relative to the deployment group (e.g. `description`; *not* `interceptDeploymentGroup.description`). See <https://google.aip.dev/161> for more details. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `requestId` | `string` Optional. A unique identifier for this request. Must be a UUID4. This request is only idempotent if a `requestId` is provided. See <https://google.aip.dev/155> for more details. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/network-security-integration/docs/reference/rest/v1/projects.locations.interceptDeploymentGroups#InterceptDeploymentGroup`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/network-security-integration/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `networksecurity.interceptDeploymentGroups.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).